Browse code

Fix tar installer, fix some wordings

Nat! authored on 26-07-2016 11:01:38
Showing 6 changed files
... ...
@@ -1,3 +1,10 @@
1
+1.1
2
+===
3
+
4
+* Fix tar install, which was broken
5
+* Fix some wordings
6
+
7
+
1 8
 1.0
2 9
 ===
3 10
 
... ...
@@ -29,7 +29,7 @@
29 29
 #   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
30 30
 #   POSSIBILITY OF SUCH DAMAGE.
31 31
 
32
-VERSION=1.0
32
+VERSION=1.1
33 33
 export VERSION
34 34
 
35 35
 #
... ...
@@ -192,9 +192,9 @@ cat <<EOF
192 192
 
193 193
  Specialized commands:
194 194
    build     : builds fetched repositories
195
-   fetch     : fetches required repositories recursively.
195
+   fetch     : fetches required repositories recursively. Use it after updating
196
+               the repositories and embedded_repositories files.
196 197
    update    : updates repositories (pull).
197
-   refresh   : rebuild .bootstrap.auto
198 198
    install   : install dependencies as system headers
199 199
 
200 200
  Specify the -h or --help option after each command to get more help.
... ...
@@ -209,7 +209,7 @@ dispense_binaries()
209 209
             exekutor xargs -0 -I % mv ${COPYMOVEFLAGS} "${copyflag}" % "${dst}"
210 210
          [ $? -eq 0 ]  || exit 1
211 211
       else
212
-         log_fluff "But threre are none"
212
+         log_fluff "But there are none"
213 213
       fi
214 214
       rmdir_safer "${src}"
215 215
    else
... ...
@@ -1618,7 +1618,7 @@ build_wrapper()
1618 1618
 
1619 1619
    if [ "${COMMAND}" != "ibuild" -a -d "${BUILD_DEPENDENCY_SUBDIR}" ]
1620 1620
    then
1621
-      log_info "Cleaning up orphaned \"${BUILD_DEPENDENCY_SUBDIR}\""
1621
+      log_fluff "Cleaning up orphaned \"${BUILD_DEPENDENCY_SUBDIR}\""
1622 1622
       rmdir_safer "${BUILD_DEPENDENCY_SUBDIR}"
1623 1623
    fi
1624 1624
 
... ...
@@ -1639,10 +1639,9 @@ build_wrapper()
1639 1639
    if [ "${COMMAND}" != "ibuild"  ]
1640 1640
    then
1641 1641
       log_fluff "Remove \"${BUILD_DEPENDENCY_SUBDIR}\""
1642
+      rmdir_safer "${BUILD_DEPENDENCY_SUBDIR}"
1642 1643
    fi
1643 1644
 
1644
-   rmdir_safer "${BUILD_DEPENDENCY_SUBDIR}"
1645
-
1646 1645
    DEPENDENCY_SUBDIR="${REFERENCE_DEPENDENCY_SUBDIR}"
1647 1646
 
1648 1647
    # for mulle-bootstrap developers
... ...
@@ -1835,6 +1834,7 @@ install_tars()
1835 1834
       then
1836 1835
          fail "tarball \"$tar\" not found"
1837 1836
       else
1837
+         mkdir_if_missing "${DEPENDENCY_SUBDIR}"
1838 1838
          log_info "Installing tarball \"${tar}\""
1839 1839
          exekutor tar -xz -C "${DEPENDENCY_SUBDIR}" -f "${tar}" || fail "failed to extract ${tar}"
1840 1840
       fi
... ...
@@ -48,7 +48,7 @@ usage()
48 48
 usage: fetch <install|nonrecursive|update>
49 49
    install      : clone or symlink non-exisiting repositories and other resources
50 50
    nonrecursive : like above, but ignore .bootstrap folders of repositories
51
-   update       : pull in fetched repositories
51
+   update       : execute `git pull` in fetched repositories
52 52
 
53 53
    You can specify the names of the repositories to update.
54 54
    Currently available names are:
... ...
@@ -29,7 +29,7 @@
29 29
 #   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
30 30
 #   POSSIBILITY OF SUCH DAMAGE.
31 31
 
32
-EXEC_VERSION=1.0
32
+EXEC_VERSION=1.1
33 33
 
34 34
 if [ "${EXEC_VERSION}" != "${VERSION}" ]
35 35
 then
... ...
@@ -66,7 +66,8 @@ warn_scripts()
66 66
 
67 67
    if [ ! -z "$2" ]
68 68
    then
69
-       exekutor [ -e "$2" ] || fail "internal error, expected directory missing"
69
+       exekutor [ -e "$2" ] || fail "Expected directory \"$2\" is missing.
70
+(hint: use fetch instead of update to track renames)"
70 71
 
71 72
       if dir_has_files "$2"
72 73
       then